{{define "content"}}

<div>

    <div class="field">
        <div class="control">
            {{.user.Name}} を削除してよろしいですか？
        </div>
    </div>

    <div class="field">
        <button class="button is-link" onclick="del('{{.user.Id.Hex}}');">削除</button>
        <span id="form-message"></span>
    </div>

</div>

<script>
    let is_sending = false;

    function del(id) {
        let message = document.getElementById("form-message");

        if (!is_sending) {
            is_sending = true;
            message.innerText = "送信中";

            let xhr = new XMLHttpRequest();
            xhr.open("DELETE", "/api/users/" + id);
            xhr.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
            xhr.onreadystatechange = function () {
                if (this.readyState !== 4) {
                    return 0;
                }

                if (this.status === 200 || this.status === 201) {
                    location.href = "/users"
                } else {
                    is_sending = false;
                    message.innerText = this.responseText
                }
            };
            xhr.send();
        }
    }
</script>

{{end}}
